# Uses of Class
org.eclipse.jdt.core.dom.PrefixExpression.Operator

Packages that use PrefixExpression.Operator
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of PrefixExpression.Operator in org.eclipse.jdt.core.dom

Fields in org.eclipse.jdt.core.dom declared as PrefixExpression.Operator
Modifier and Type
Field
Description
`static final PrefixExpression.Operator`
PrefixExpression.Operator.`COMPLEMENT`
Bitwise complement "~" operator.
`static final PrefixExpression.Operator`
PrefixExpression.Operator.`DECREMENT`
Prefix decrement "--" operator.
`static final PrefixExpression.Operator`
PrefixExpression.Operator.`INCREMENT`
Prefix increment "++" operator.
`static final PrefixExpression.Operator`
PrefixExpression.Operator.`MINUS`
Unary minus "-" operator.
`static final PrefixExpression.Operator`
PrefixExpression.Operator.`NOT`
Logical complement "!"
`static final PrefixExpression.Operator`
PrefixExpression.Operator.`PLUS`
Unary plus "+" operator.
Methods in org.eclipse.jdt.core.dom that return PrefixExpression.Operator
Modifier and Type
Method
Description
`PrefixExpression.Operator`
PrefixExpression.`getOperator()`
Returns the operator of this prefix expression.
`static PrefixExpression.Operator`
PrefixExpression.Operator.`toOperator(String token)`
Returns the prefix operator corresponding to the given string, or `null` if none.
Methods in org.eclipse.jdt.core.dom with parameters of type PrefixExpression.Operator
Modifier and Type
Method
Description
`void`
PrefixExpression.`setOperator(PrefixExpression.Operator operator)`
Sets the operator of this prefix expression.